WSD Reservation API

  • 릴리스 버전: Australia
  • 업데이트 날짜 2026년 03월 12일
  • 소요 시간: 266분
  • The Workplace Service Delivery (WSD) Reservation API provides endpoints for managing workplace reservations.

    To access this API, the caller must have the sn_wsd_core.workplace_user role and the Workplace Safety Management (sn_wsd_core) and Workplace Reservation Management (sn_wsd_rsv) plugins must be activated.

    This API runs in the sn_wsd_rsv namespace.

    For additional information on Workplace Reservation Management, see Workplace Reservation Management.

    WSD Reservation - GET /api/sn_wsd_rsv/reservation/get

    Retrieves the specified workplace reservation.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/reservation/get

    Default URL: /api/sn_wsd_rsv/reservation/get

    주:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    표 1. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    표 2. Query parameters
    Name Description
    external_ical Unique external iCalendar identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation. Obtain this value from the associated external iCalendar application.

    Data type: String

    external_id Unique external identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation. Obtain this value from the associated external application.

    Data type: String

    include_multi_child_​data If the reservation_subtype field value in the associated Workplace Reservation [sn_wsd_rsv_reservation] record is set to multi_child, this flag indicates whether to return the reservation details.
    Valid values:
    • true: Return the reservation details.
    • false: Do not return the reservation details.

    Data type: Boolean

    Default value: false

    include_standard_​services Flag that indicates whether to return the standard services information in the response. This information is located in the Standard Service [sn_wsd_rsv_standard_service] table.

    A standard service describes basic provisions available with a reservable workplace item when the reservation is made, such as white boards, additional monitors, and similar services. For additional information on standard services, see Standard services.

    Valid values:
    • true: Return the standard services information.
    • false: Don't return the standard services information.

    Data type: Boolean

    Default: false

    sys_id Required.
    Sys_id of the reservation record.

    Data type: String

    Table: Workplace Reservation [sn_wsd_rsv_reservation]

    표 3. Request body parameters
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    표 4. Request headers
    Header Description
    Accept Data format of the request body. Supported types: application/json, application/xml or, text/xml.

    Default: application/json

    표 5. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    표 6. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    404 Not found. The requested item wasn't found.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result.reservation Details about the reservation.

    Data type: Object

    "reservation": {
      "active": Boolean,
      "attendees": [Array],
      "check_in_state": {Object},
      "end": "String",
      "external_ical": "String",
      "external_id": "String",
      "is_parent": Boolean,
      "is_private": Boolean,
      "informEmployeePrivacy": Boolean.
      "last_updated_sub_source": {Object},
      "location" {Object},
      "number": "String",
      "number_of_attendees": Number,
      "recording_details": [Array],
      "reservable_module": {Object},
      "reservation_purpose": {Object},
      "reservation_type": {Object},
      "reservation_subtype": {Object},
      "sensitivity": {Object},
      "start": "String",
      "state": {Object},
      "source_reservation": "String",
      "subject": "String",
      "sub_source": {Object},
      "sync_state": {Object},
      "sys_created_on: "String",
      "sys_id": "String",
      "sys_updated_on": "String",
      "virtual_meeting": "String"
    }
    result.reservation.active Flag that indicates whether the reservation is active.
    Valid values:
    • true: Reservation is active.
    • false: Reservation is inactive.

    Data type: Boolean

    result.reservation.attendees List of attendees for the reservation.

    Data type: Array of Objects

    "attendees": [
      {
        "avatar": "String",
        "displayValue": "String",
        "display_value": "String",
        "email": "String",
        "initials": "String",
        "label": "String",
        "name": "String",
        "sys_id": "String",
        "table": "String",
        "user_name": "String",
        "value": "String"
      }
    ]
    result.reservation.attendees.avatar Sys_id of the avatar associated with the attendee.

    Data type: String

    Table: Attachments [sys_attachment]

    result.reservation.attendees.displayValue Display value for the attendee.

    Data type: String

    result.reservation.attendees.display_value Display value of the attendee. Same as displayValue.

    Data type: String

    result.reservation.attendees.email Attendee's email address.

    Data type: String

    result.reservation.attendees.initials Attendee's initials.

    Data type: String

    result.reservation.attendees.name Attendee's name.

    Data type: String

    result.reservation.attendees.sys_id Sys_id of the attendee record.

    Data type: String

    result.reservation.attendees.table Table in which the attendee record exists.

    Data type: String

    result.reservation.attendees.user_name Attendee's user name.

    Data type: String

    result.reservation.attendees.value Internal value of the attendee.

    Data type: String

    result.reservation.check_in_state Details about the check-in state of the reservation.

    Data type: Object

    "check_in_state": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.check_in_state.​display_value Display value for the current check-in state of the reservation, such as In progress or complete.

    Data type: String

    result.reservation.check_in_state.value Internal value for the current check-in state of the reservation, such as 2.

    Data type: String

    result.reservation.edit_restriction Description of the user edit restrictions for the reservation, such as no_restrictions, service_only, or fully_restricted.

    Data type: Object

    "edit_restriction": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.edit_restriction.display_​value Display value for the edit restrictions for the reservation, such as No restriction.

    Data type: String

    result.reservation.edit_restriction.value Internal value for the edit restrictions for the reservation, such as no_restriction.

    Data type: String

    result.reservation.end Reservation end date and time.

    Data type: String

    Format: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z

    result.reservation.external_ical Unique external iCalendar identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation.

    Data type: String

    result.reservation.external_id Unique external identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation.

    Data type: String

    result.reservation.is_parent Flag that indicates whether this reservation is a parent reservation.
    Possible values:
    • true: Parent reservation.
    • false: Not a parent reservation.

    Data type: Boolean

    result.reservation.is_private Flag that indicates whether the reservation is private. If private, the reservation doesn't appear to anyone except the owner.

    For additional information on these privacy settings, see Location privacy settings and impact.

    Valid values:
    • true: Reservation is private.
    • false: Reservation isn't private.

    Data type: Boolean

    Default: Value set for privacy in the system properties.

    result.reservation.last_updated_sub_source Details about the last updated sub-source for the reservation. Sub-sources are used when integrating reservations with an external calendar. This object contains information such as "servicenow_workplace_service_delivery", "google_calendar", or "microsoft_exchange".

    Data type: Object

    "last_updated_sub_source": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.last_updated_sub_source.​display_value Display value for the last updated sub-source of the reservation, such as ServiceNow Workplace Service Delivery or Google Calendar. Used when integrating the reservation with an outside service such as Google calendar or Microsoft Outlook.

    Data type: String

    result.reservation.last_updated_sub_source.​value Internal value for the last updated sub-source of the reservation, such as servicenow_workplace_service_delivery or google_calendar. Used when integrating the reservation with an outside service such as Google calendar or Microsoft Outlook.

    Data type: String

    result.reservation.location Details about the location associated with the reservation.

    Data type: Object

    "location": {
      "active": Boolean,
      "area": {Object},
      "building": {Object},
      "campus": {Object},
      "capacity": Number,
      "description": "String",
      "display_value": "String",
      "email": "String",
      "floor": {Object},
      "label_value": "String",
      "name": "String",
      "number_of_attendees": Number,
      "region": {Object},
      "reservable_module": {Object},
      "reservation": {Object},
      "site": {Object},
      "state": {Object},
      "sys_id": "String"
    }
    result.reservation.location.area Details about the area associated with the location.

    Data type: Object

    "area": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.area.active Flag that indicates whether the area is active.
    Valid values:
    • true: Area is active.
    • false: Area is inactive.

    Data type: Boolean

    result.reservation.location.area.display_value Display value of the area to which this location belongs, such as Desk A2.

    Data type: String

    result.reservation.location.area.sys_id Sys_id of the area to which this location belongs.

    Data type: String

    Table: Area [sn_wsd_core_area]

    result.reservation.location.building Details about the building associated with the location.

    Data type: Object

    "building": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String",
      "timezone": {Object}
    }
    result.reservation.location.building.active Flag that indicates whether the building is active.
    Valid values:
    • true: Building is active.
    • false: Building is inactive.

    Data type: Boolean

    result.reservation.location.building.​display_value Display value of the building to which this location belongs, such as AMS - Bld1.

    Data type: String

    result.reservation.location.building.sys_id Sys_id of the building to which this location belongs.

    Data type: String

    Table: Building [sn_wsd_core_building]

    result.reservation.location.building.timezone Details about the time zone associated with the location.

    Data type: Object

    "timezone": {
      "displayValue": "String",
      "value": "String"
    }
    result.reservation.location.building.timezone.​display_value Display value for the time zone to which this location belongs.

    Data type: String

    result.reservation.location.building.timezone.​value Internal value for the time zone to which this location belongs.

    Data type: String

    result.reservation.location.campus Details about the campus associated with the location.

    Data type: Object

    "campus": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.campus.active Flag that indicates whether the campus is active.
    Valid values:
    • true: Campus is active.
    • false: Campus is inactive.

    Data type: Boolean

    result.reservation.location.campus.​display_value Display value of the campus to which this location belongs, such as Amsterdam Campus.

    Data type: String

    result.reservation.location.campus.sys_id Sys_id of the campus to which this location belongs.

    Data type: String

    Table: Campus [sn_wsd_core_campus]

    result.reservation.location.capacity Maximum number of occupants for the location.

    Data type: Number

    result.reservation.location.description Brief description of the location.

    Data type: String

    result.reservation.location.display_value Value to display in the UI for this location.

    Data type: String

    result.reservation.location.email Email address for the location.

    Data type: String

    result.reservation.location.floor Details about the floor associated with the location.

    Data type: Object

    "floor": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.floor.active Flag that indicates whether the floor is active.
    Valid values:
    • true: Floor is active.
    • false: Floor is inactive.

    Data type: Boolean

    result.reservation.location.floor.display_value Display value of the floor to which this location belongs, such as First floor.

    Data type: String

    result.reservation.location.floor.sys_id Sys_id of the floor to which this location belongs.

    Data type: String

    Table: Floor [sn_wsd_core_floor]

    result.reservation.location.label_value Type of value specified in the name parameter, such as Room name.

    Data type: String

    result.reservation.location.name Name of the location.

    Data type: String

    result.reservation.location.number Reservation number.

    Data type: String

    result.reservation.location.number_of_​attendees Number of attendees for the reservation.

    Data type: Number

    result.reservation.location.region Details about the region associated with the location.

    Data type: Object

    "region": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.region.active Flag that indicates whether the region is active.
    Valid values:
    • true: Region is active.
    • false: Region is inactive.

    Data type: Boolean

    result.reservation.location.region.​display_value Display value of the region to which this location belongs, such as Europe.

    Data type: String

    result.reservation.location.region.sys_id Sys_id of the region to which this location belongs.

    Data type: String

    Table: Region [sn_wsd_core_region]

    result.reservation.location.requested_for Details about the person for whom the reservation was requested on behalf of.

    Data type: Object

    "requested_for": {
      "name": "String",
      "sys_id": "String",
      "user_name": "String"
    }
    result.reservation.location.requested_for.​name Name of the user for whom the reservation was requested for.

    Data type: String

    result.reservation.location.requested_for.​sys_id Sys_id of the user for whom the reservation is being requested.

    Data type: String

    Table: User [sys_user]

    result.reservation.location.requested_for.​user_name User name of the user for whom the reservation was requested for.

    Data type: String

    result.reservation.location.reservation Details about the reservation associated with the location.

    Data type: Object

    "reservation": {
      "active": Boolean,
      "number": "String",
      "number_of_attendees": Number,
      "requested_for": {Object},
      "state": {Object},
      "sys_id": "String"
    }
    result.reservation.location.reservation.active Flag that indicates whether the reservation is active.
    Valid values:
    • true: Reservation is active.
    • false: Reservation is inactive.

    Data type: Boolean

    result.reservation.location.reservation.number Reservation number.

    Data type: String

    result.reservation.location.reservation.​number_of_attendees Number of attendees of the reservation.

    Data type: Number

    result.reservation.location.reservation.​requested_for Details about the person for whom the reservation was requested on behalf of.

    Data type: Object

    "requested_for": {
      "name": "String",
      "sys_id": "String",
      "user_name": "String"
    }
    result.reservation.location.reservation.​requested_for.name Name of the user for whom the reservation was requested for.

    Data type: String

    result.reservation.location.reservation.​requested_for.sys_id Sys_id of the requested for user.

    Data type: String

    Table: User [sys_user]

    result.reservation.location.reservation.​requested_for.user_name User name of the user for whom the reservation was requested for.

    Data type: String

    result.reservation.location.reservable_module Details about the reservable module associated with the reservation.

    Data type: Object

    "reservable_module": {
      "inline_title": "String",
      "name": "String",
      "sys_id": "String",
      "title": "String"
    }
    result.reservation.location.reservable_module.​inline_title Inline title of the reservable module. The title appears in line with the descriptive text on the Workplace service portal.

    Data type: String

    result.reservation.location.reservable_module.​name Name of the reservable module.

    Data type: String

    result.reservation.location.reservable_module.​sys_id Sys_id of the reservable module.

    Data type: String

    result.reservation.location.reservable_module.​title Title of the reservable module.

    Data type: String

    result.reservation.location.site Site to which the location belongs.

    Data type: Object

    "site": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }

    Table: Site [sn_wsd_core_site]

    result.reservation.location.site.active Flag that indicates whether the site is active.
    Valid values:
    • true: Site is active.
    • false: Site is inactive.

    Data type: Boolean

    result.reservation.location.site.display_value Display value of the site to which this location belongs, such as Western Europe.

    Data type: String

    result.reservation.location.site.sys_id Sys_id of the site to which this location belongs.

    Data type: String

    Table: Site [sn_wsd_core_site]

    result.reservation.location.state Details about the state of the reservation for the location.

    Data type: Object

    "state": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.location.state.display_value Display value for the current state of the reservation, such as confirmed.

    Data type: String

    result.reservation.location.state.value Internal value for the current state of the reservation, such as 2.

    Data type: String

    result.reservation.location.sys_id Sys_id of the associated location record.

    Data type: String

    Table: Workplace Location [sn_wsd_core_workplace_location]

    result.reservation.notification_custom_​message Custom message for the notification sent to the recipients listed in reservation.notification_recipients.

    Data type: String

    result.reservation.notification_recipients List of recipients that receive notification about the reservation.

    Data type: Array of Objects

    "notification_recipients":[
      {
        "name": "String",
        "sys_id": "String",
        "user_name": "String"
      }
    ]
    result.reservation.notification_recipients.name Name of the recipient.

    Data type: String

    result.reservation.notification_recipients.sys_id Sys_id of the recipient.

    Data type: String

    Table: User [sys_user]

    result.reservation.notification_recipients.​user_name User name of the recipient.

    Data type: String

    result.reservation.number Unique number of the reservation record. You can use this value to query the reservation.

    Data type: String

    Table: Workplace Reservation [sn_wsd_rsv_reservation]

    result.reservation.opened_by Details about the user that created the reservation.

    Data type: Object

    "opened_by": {
      "avatar": "String",
      "displayValue": "String",
      "display_value": "String",
      "email": "String",
      "initials": "String",
      "label": "String",
      "name": "String",
      "sys_id": "String",
      "table": "String",
      "user_name": "String",
      "value": "String"
    }
    result.reservation.opened_by.avatar Avatar for the user that opened the reservation.

    Data type: String

    result.reservation.opened_by.displayValue Display value of the opened by user.

    Data type: String

    result.reservation.opened_by.display_value Display value of the opened by user.

    Data type: String

    result.reservation.opened_by.email Email address for the user that opened the reservation.

    Data type: String

    result.reservation.opened_by.initials Initials of the user that opened the reservation.

    Data type: String

    result.reservation.opened_by.label Label for the user that opened the reservation. This is a combination of the title and department of the user.

    Data type: String

    result.reservation.opened_by.name Name of the user that opened the reservation.

    Data type: String

    result.rservation.opened_by.sys_id Sys_id_of the user that opened the reservation.

    Data type: String

    Table: User [sys_user]

    result.rservation.opened_by.table Table that contains the user record.

    Data type: String

    result.reservation.opened_by.user_name User name of the user that opened the reservation.

    Data type: String

    result.reservation.opened_by.value Internal value of the user that opened the reservation.

    Data type: String

    result.reservation.number Reservation number.

    Data type: String

    result.reservation.number_of_attendees Number of attendees in this reservation.

    Data type: Number

    result.reservation.recording_details Details about the recordings associated with the reservation (meeting).

    Data type: Array of Objects

    "recording_details": [
      "recording_url": "String"
    ]
    result.reservation.recording_details.​recording_url URL of the recordings associated with the reservation.

    Data type: String

    result.reservation.requested_for Details about the user that the reservation was made on behalf of.

    Data type: Object

    "requested_for": {
      "avatar": "String",
      "displayValue": "String",
      "display_value": "String",
      "email": "String",
      "initials": "String",
      "label": "String",
      "name": "String",
      "sys_id": "String",
      "table": "String",
      "user_name": "String",
      "value": "String"
    }
    result.reservation.requested_for.avatar Avatar for the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.displayValue Display value of the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.display_value Display value of the user that the reservation was made on behalf of. Same as displayValue.

    Data type: String

    result.reservation.requested_for.email Email address for the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.initials Initials of the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.label Label for the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.name Name of the user that the reservation was made on behalf of.

    Data type: String

    result.rservation.requested_for.sys_id Sys_id_of the user that the reservation was made on behalf of.

    Data type: String

    Table: User [sys_user]

    result.rservation.requested_for.table Table that contains the user record.

    Data type: String

    result.reservation.requested_for.user_name User name of the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.requested_for.value Internal value of the user that the reservation was made on behalf of.

    Data type: String

    result.reservation.reservable_module Details for the requested reservable module.

    Data type: Object

    "reservable_module": {
      "allow_invitees": Boolean,
      "allow_whole_day": Boolean,
      "apply_to_shift": Boolean,
      "browse_by_area_enabled": Boolean,
      "browse_near_a_person_enabled": Boolean,
      "buildingSysIds": [Array],
      "checkin_before_minutes": Number,
      "display_number_of_attendees": Boolean,
      "display_on_behalf_of": Boolean,
      "display_sensitivity": Boolean,
      "display_value": "String",
      "enable_browse_by_area": Boolean,
      "enable_browse_near_a_person": Boolean,
      "enable_facet_filter": Boolean,
      "enable_group_reservations": Boolean,
      "enable_ical_generation": Boolean,
      "font_awesome_icon": "String",
      "inline_title": "String",      
      "layout_mapping": {Object},
      "max_days_in_future": Number,
      "max_occurrences": Number,
      "name": "String",
      "override_approval_policy": "String",
      "require_cancel_notes": Boolean,
      "require_cc_dept_check": Boolean,
      "require_subject": Boolean,
      "reservable_columns": [Array],
      "reservable_container_field": "String",
      "reservable_filter": "String",
      "reservable_quantity_field": "String",
      "reservable_table": "String",
      "reservable_type": "String",
      "reservable_views": [Array],
      "reservation_paths": [Array],
      "search_limit": Number,
      "selection_type": "String",
      "short_description": "String",
      "show_map_view": Boolean,
      "sys_id": "String",
      "timeSlots": [Array],
      "title": "String",
      "virtual_meeting_provider": {Object}
    }
    result.reservation.reservable_module.​allow_invitees Flag that indicates whether employees are able to add invitees to the reservation.
    Valid values:
    • true: Allow employees to add invitees to the reservation.
    • false: Don't allow employees to add invitees to the reservation.

    Data type: Boolean

    result.reservation.reservable_module.​allow_whole_day Flag that indicates whether users can reserve the reservable for the entire day.
    Valid values:
    • true: Allow users to reserve for the entire day.
    • false: Don't allow users to reserve for the entire day.

    Data type: Boolean

    result.reservation.reservable_module.​apply_to_shift Flag that indicates whether shift-based reservations are enabled for the reservable module.
    Valid values:
    • true: Allow shift-based reservations.
    • false: Don't allow shift-based reservations.

    Data type: Boolean

    result.reservation.reservable_module.​browse_by_area_enabled Flag that indicates whether users are able to search for reservable modules by area.
    Valid values:
    • true: Allow users to browse reservable modules by area.
    • false: Don't allow users to browse reservable modules by area.

    Data type: Boolean

    result.reservation.reservable_module.​browse_near_a_person_enabled Flag that indicates whether users are able to search for reservable modules located by a specified person.
    Valid values:
    • true: Allow users to browse reservable modules near a person.
    • false: Don't allow users to browse reservable modules near a person.

    Data type: Boolean

    result.reservation.reservable_module.​buildingSysIds List of sys_ids of the buildings associated with the reservable module.

    Data type: Array of Strings

    result.reservation.reservable_module.​checkin_before_minutes Amount of time before a reservation starts that a user can check into their reservation.

    Unit: Minutes

    Data type: Number

    result.reservation.reservable_module.​display_number_of_attendees Flag that indicates whether users can specify the number of attendees in the reservation.
    Valid values:
    • true: Users can specify the number of attendees.
    • false: Users can't specify the display number of attendees.

    Data type: Boolean

    result.reservation.reservable_module.​display_on_behalf_of Flag that indicates whether reservations can be made on behalf of someone else.
    Valid values:
    • true: On behalf of supported.
    • false: On behalf of not supported.

    Data type: Boolean

    result.reservation.reservable_module.​display_sensitivity Flag that indicates whether users can set the sensitivity of the reservation, such as normal or private.
    Valid values:
    • true: Able to set sensitivity.
    • false: Not able to set sensitivity. Defaults to normal.

    Data type: Boolean

    result.reservation.reservable_module.​display_value Display value of the reservable module.

    Data type: String

    result.reservation.reservable_module.​enable_browse_by_area Flag that indicates whether users are able to search for reservable modules by area. Same as browse_by_area_enabled.
    Valid values:
    • true: Allow users to browse reservable modules by area.
    • false: Don't allow users to browse reservable modules by area.

    Data type: Boolean

    result.reservation.reservable_module.​enable_browse_near_a_person Flag that indicates whether users are able to search for reservable modules located by a specified person. Same as browse_near_a_person_enabled.
    Valid values:
    • true: Allow users to browse reservable modules near a person.
    • false: Don't allow users to browse reservable modules near a person.

    Data type: Boolean

    result.reservation.reservable_module.​enable_facet_filter Flag that indicates whether facet filtering on workplace items is enabled. When enabled, the filter options that appear are based on the search results. Only the items that are available in the generated search result are available to users for selection in the filter.
    Valid values:
    • true: Facet filters are enabled.
    • false: Facet filters aren't enabled.

    Data type: Boolean

    result.reservation.reservable_module.​enable_group_reservations Flag that indicates whether users can make a group reservation.
    Valid values:
    • true: Able to make group reservations.
    • false: Not able to make group reservations.

    Data type: Boolean

    result.reservation.reservable_module.​enable_ical_generation Flag that indicates whether users can generate an iCalendar for the reservation.
    Valid values:
    • true: iCalendar generation allowed.
    • false: iCalendar generation isn't allowed.

    Data type: Boolean

    result.reservation.reservable_module.​font_awesome_icon Name of the font icon attached to the reservable module.

    Data type: String

    result.reservation.reservable_module.​inline_title Inline title of the reservable module. The title appears in line with the descriptive text on the Workplace service portal.

    Data type: String

    result.reservation.reservable_module.​layout_mapping Details about the structure of the layout mapping of locations. Use this data to lay out the information in the UI.

    Data type: Object

    "layout_mapping": {
      "body": [Array],
      "description": [Array],
      "image": "String",
      "subtitle": [Array],
      "subtitle_asc": [Array],
      "title": [Array]
    }
    result.reservation.reservable_module.​layout_mapping.body Placeholder for mapping the front-end UI data.

    Data type: Array of Objects

    "body": [
      {
        "field": "String",
        "field_to_display": "String",
        "icon": "String",
        "label": "String"
      }
    ]
    result.reservation.reservable_module.​layout_mapping.body.field Placeholder for mapping the front-end UI data.

    Data type: String

    result.reservation.reservable_module.​layout_mapping.body.field_to_display Placeholder for mapping the front-end UI data.

    Data type: String

    result.reservation.reservable_module.​layout_mapping.body.icon Placeholder for mapping the front-end UI data.

    Data type: String

    result.reservation.reservable_module.​layout_mapping.body.label Placeholder for mapping the front-end UI data.

    Data type: String

    result.reservation.reservable_module.​layout_mapping.description Placeholder for mapping the front-end UI data. Description of the layout mapping.

    Data type: Array

    result.reservation.reservable_module.​layout_mapping.image Placeholder for mapping the front-end UI data.

    Data type: String

    result.reservation.reservable_module.​layout_mapping.subtitle Placeholder for mapping the front-end UI data.

    Data type: Array

    result.reservation.reservable_module.​layout_mapping.subtitle_asc Placeholder for mapping the front-end UI data.

    Data type: Array

    result.reservation.reservable_module.​layout_mapping.title Placeholder for mapping the front-end UI data.

    Data type: Array

    result.reservation.reservable_module.​max_days_in_future Maximum number of the days in the future that a user can reserve the reservable module.

    Data type: Number

    result.reservation.reservable_module.​max_occurrences Maximum number of recurring reservation occurrences if recurring reservations are available for the reservable module.

    Data type: Number

    result.reservation.reservable_module.name Name of the reservable module.

    Data type: String

    result.reservation.reservable_module.​override_approval_policy Option to specify how to implement the approval policy.
    Choices:
    • No override: The approval policy is implemented as set in the Requires approval field of a workplace space or room.
    • Always require approval: The approval policy is required regardless of what is set in the Requires approval field of a workplace space or room.
    • Never require approval: The approval policy is removed regardless of what is set in the Requires approvall field of a workplace space or room.

    Data type: String

    result.reservation.reservable_module.​require_cancel_notes Flag that indicates whether users must enter a cancellation note before cancelling a reservable module.
    Valid values:
    • true: Cancellation note required.
    • false: Cancellation note not required.

    Data type: Boolean

    result.reservation.reservable_module.​require_cc_dept_check Flag that indicates whether to check if there's a cost center or department mismatch between the workspace item and the logged in user.
    Valid values:
    • true: Check for a mismatch.
    • false: Don't check for a mismatch.

    Data type: Boolean

    result.reservation.reservable_module.​require_subject Flag that indicates whether the user must enter a subject when making the reservation.
    Valid values:
    • true: Subject required.
    • false: Subject isn't required.

    Data type: Boolean

    result.reservation.reservable_module.​reservable_columns List of the columns of a reservable.

    Data type: Array

    Table: Workplace Location [sn_wsd_core_workplace_location]

    result.reservation.reservable_module.​reservable_container_field Level of the container, such as a group of desks in a specific area.

    Data type: String

    result.reservation.reservable_module.​reservable_filter Filter conditions used to filter out reservable items in the associated Reservable table. Reservable table is a field in the Reservable Module [sn_wsd_rsv_reservable_module] table. These filter conditions were applied to the table contained in the field Reservable table.

    Data type: String

    result.reservation.reservable_module.​reservable_quantity_field Reservable quantity of all the spaces. The quantity is used when assigning neighbourhood spaces to an area. For additional information, see Assign neighborhood spaces to an area.

    Data type: String

    result.reservation.reservable_module.​reservable_table Table that contains the reservable workplace items.

    Data type: String

    result.reservation.reservable_module.​reservable_type Type of the reservable item, such as location.

    Data type: String

    result.reservation.reservable_module.​reservable_views Details about the different views associated with the reservable module, such as card view or schedule view.

    Data type: Object

    "reservable_views": {
      "iconClass": "String",
      "isDefault": Boolean,
      "label": "String",
      "order": Number,
      "type": "String"
    }

    Table: Reservable View [sn_wsd_rsv_reservable_view]

    result.reservation.reservable_module.​reservable_views.iconClass Icon class of the reservable view.

    Data type: String

    result.reservation.reservable_module.​reservable_views.isDefault Flag that indicates whether to make this reservable view the default for reservable modules.
    Valid values:
    • true: Make default.
    • false: Don't make default.

    Data type: Boolean

    result.reservation.reservable_module.​reservable_views.label Name of the reservable view.

    Data type: String

    result.reservation.reservable_module.​reservable_views.order Order in which the views are displayed for the reservable module in the UI. The lower order number come first in the UI. In case of the same order number, it is assigned random ordering.

    Data type: Number

    result.reservation.reservable_module.​reservable_views.type Backend name of the reservable view. Used for internal processing.

    Data type: String

    result.reservation.reservable_module.​reservation_paths Reservation paths associated with the reservable modules such as Browse all, Browse near a person.

    Data type: Array of Objects

    "reservation_paths": [
      {
        "displayValue": "String",
        "value": "String"
      }
    ]
    result.reservation.reservable_module.​reservation_paths.display_value Display value for the reservation path, such as "Browse near a person".

    Data type: String

    result.reservation.reservable_module.​reservation_paths.value Internal value for the reservation path, such as "browse_near_a_person".

    Data type: String

    result.reservation.reservable_module.​search_limit Maximum number of search results to return when a user searches for a workplace location.

    Data type: Number

    result.reservation.reservable_module.​selection_type

    Type of selection to display in the search results.

    Can be one of the following options:
    • Specific unit: The search result displays every workplace item.
    • Container: The search result displays the parent or container of the workplace items.

    Data type: String

    result.reservation.reservable_module.​short_description Brief description of the reservable module.

    Data type: String

    result.reservation.reservable_module.​show_map_view Flag that indicates whether to enable the map view for reservable modules.
    Valid values:
    • true: Enable map view.
    • false: Don't enable map view.

    Data type: Boolean

    result.reservation.reservable_module.sys_id Sys_id of the reservable module.

    Data type: String

    result.reservation.reservable_module.timeSlots Details about the time slots associated for a reservable module.

    Data type: Array of Objects

    [
      {
        "name": "String",
        "short_description": "String",
        "slot_end": "String",
        "slot_start": "String",
        "sys_id": "String"
      }
    ]
    result.reservation.reservable_module.​timeSlots.name Name of the time slot.

    Data type: String

    result.reservation.reservable_module.​timeSlots.short_description Brief description of the time slot.

    Data type: String

    result.reservation.reservable_module.​timeSlots.slot_end End time of the time slot.

    Data type: String

    result.reservation.reservable_module.​timeSlots.slot_start Start time of the slot.

    Data type: String

    result.reservation.reservable_module.​timeSlots.sys_id Sys_id of the time slot record.

    Data type: String

    Table: Time Slot [sn_wsd_rsv_time_slot]

    result.reservation.reservable_module.title Title of the reservable module.

    Data type: String

    result.reservation.reservable_module.​virtual_meeting_provider Details about the virtual provider associated with the reservable module.

    Data type: Object

    "virtual_meeting_provider": {
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.reservable_module.​virtual_meeting_provider.display_value Display value of the virtual meeting provider.

    Data type: String

    result.reservation.reservable_module.​virtual_meeting_provider.sys_id Sys_id of the virtual meeting provider.

    Data type: String

    result.reservation.reservationAcl Details of the user access control levels (ACL) checks set on the associated reservation.

    Data type: Object

    "reservationAcl": {
      "read": Boolean,
      "write": {Object}
    }
    result.reservation.reservationAcl.read Flag that indicates whether to check if the user can read this reservation.
    Valid values:
    • true: Check if user can read the reservation.
    • false: Don't check if user can read the reservation.

    Data type: Boolean

    result.reservation.reservationAcl.write Details about the user's write capabilities for the associated reservation.

    Data type: Object

    "write": {
      "allFields": Boolean,
      "fields": {Object},
      "record": Boolean
    }
    result.reservation.reservationAcl.write.allFields Flag that indicates whether to check if the user can write to all fields specified in the reservationACL.write.fields object. If the user only has access to some specific fields, then only those fields are true in the reservationACL.write.fields object.
    Valid values:
    • true: Check if user can write to all fields specified in the reservationACL.write.fields object.
    • false: Don't check if user can write to all fields specified in the reservationACL.write.fields object

    Data type: Boolean

    result.reservation.reservationAcl.write.fields Details of the access controls on various fields of the reservation.

    Data type: Object

    "fields": {
      "location": Boolean,
      "number_of_attendees": Boolean,
      "requested_for": Boolean,
      "sensitivity": Boolean,
      "subject": Boolean
    }
    result.reservation.reservationAcl.write.fields.​location Flag that indicates whether to check if the user can write to the location fields in this reservation.
    Valid values:
    • true: Check if user can write to the location fields.
    • false: Don't check if user can write to the location fields.

    Data type: Boolean

    result.reservation.reservationAcl.write.fields.​number_of_attendees Flag that indicates whether to check if the user can write to the number of attendees fields in this reservation.
    Valid values:
    • true: Check if user can write to the number of attendees field.
    • false: Don't check if user can write to the number of attendees field.

    Data type: Boolean

    result.reservation.reservationAcl.write.fields.​requested_for Flag that indicates whether to check if the user can write to the requested for fields in this reservation.
    Valid values:
    • true: Check if user can write to the requested for field.
    • false: Don't check if user can write to the requested for field.

    Data type: Boolean

    result.reservation.reservationAcl.write.fields.​sensitivity Flag that indicates whether to check if the user can write to the sensitivity fields in this reservation.
    Valid values:
    • true: Check if user can write to the sensitivity field.
    • false: Don't check if user can write to the sensitivity field.

    Data type: Boolean

    result.reservation.reservationAcl.write.fields.​subject Flag that indicates whether to check if the user can write to the subject fields in this reservation.
    Valid values:
    • true: Check if user can write to the subject field.
    • false: Don't check if user can write to the subject fields.

    Data type: Boolean

    result.reservation.reservationAcl.write.record Flag that indicates whether to check if the user can write to the entire reservation record.
    Valid values:
    • true: Check if user can write to the entire reservation record.
    • false: Don't check if user can write to the entire reservation record.

    Data type: Boolean

    result.reservation.reservation_purpose Details about the purpose of the reservation.

    Data type: Object

    "reservation_purpose": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.reservation_purpose.​display_value Display value for the purpose of the reservation, such as Company meeting.

    Data type: String

    result.reservation.reservation_purpose.value Internal value for the purpose of the reservation, such as company_meeting.

    Data type: String

    result.reservation.reservation_type Details about the type of the reservation.

    Data type: Object

    "reservation_type": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.reservation_type.​display_value Display value for the type of the reservation, such as Space.

    Data type: String

    result.reservation.reservation_type.value Internal value for the type of the reservation, such as space.

    Data type: String

    result.reservation.reservation_subtype Details about the subtype of the reservation. Subtypes indicate the type of reservation, such as single, Multi parent, Multi child, Recurring parent, or occurrence.

    Data type: Object

    "reservation_subtype": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.reservation_subtype.​display_value Display value for the subtype of the reservation, such as Single.

    Data type: String

    result.reservation.reservation_subtype.value Internal value for the subtype of the reservation, such as single.

    Data type: String

    result.reservation.sensitivity Details about the sensitivity of the reservation.

    Data type: Object

    "sensitivity": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.sensitivity.display_value Display value for the sensitivity of the reservation, such as high or low.

    Data type: String

    result.reservation.sensitivity.value Internal value for the sensitivity of the reservation, such as 1 or 3.

    Data type: String

    result.reservation.shift Details about the shift applied to the reservation.

    Data type: Object

    "shift": {
      "display_value": "String",
      "name": "String",
      "shiftDetails": "String",
      "sys_id": "String"
    }
    result.reservation.shift.display_value Display value of the shift.

    Data type: String

    result.reservation.shift.name Name of the shift. Same as display_value.

    Data type: String

    Result.reservation.shift.shiftDetails Details of shift.

    Data type: String

    result.reservation.shift.sys_id Sys_id of the shift record.

    Data type: String

    Table: Shift [sn_wsd_core_shift]

    result.reservation.source Details about the source for the reservation, such as Workplace Services or Google Mail..

    Data type: Object

    "source": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.source.display_value Display value for the reservation source, such as Workplace Services.

    Data type: String

    result.reservation.source.value Internal value for the reservation source, such as servicenow.

    Data type: String

    result.reservation.source_icon Details about the source of the icon used in the reservation. This icon is used in the UI.

    Data type: Object

    "source_icon": {
      "classNames": "String",
      "imgSrc": "String",
      "tooltip": "String"
    }
    result.reservation.source_icon.classNames Comma-separated class names for the source icon.

    Data type: String

    result.reservation.source_icon.imgSrc Name of the image source for source icon. This icon is stored in the Images [db_image] table.

    Data type: String

    result.reservation.source_icon.tooltip Tooltip associated with the source icon.

    Data type: String

    result.reservation.source_reservation Source reservation of the current reservation.

    For example, in the case of multiple reservations, the parent reservation is the source of the child reservation.

    Data type: String

    result.reservation.start Reservation start date and time.

    Data type: String

    Format: UTC - yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z

    result.reservation.subject Reservation's subject.

    Data type: String

    result.reservation.sub_source Details about the sub-source of the reservation. The sub-source specifies where the reservation originated such as Google Calendar or Microsoft Exchange.

    Data type: Object

    "sub_source": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.sub_source.display_value Display value for the sub-source of the reservation, such as Google Calendar.

    Data type: String

    result.reservation.sub_source.value Internal value of the sub-source field of the reservation, such as google_calendar.

    Data type: String

    result.reservation.sync_state Details about the synchronization state of a reservation from another service, such as "sync_enqueued" or "synchronized".

    Data type: Object

    "sync_state": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.sync_state.display_value Display value for the current sync state of the reservation, such as synchronized.

    Data type: String

    result.reservation.sync_state.value Internal value of the current sync state of the reservation, such as synchronized.

    Data type: String

    result.reservation.sys_created_on Date and time when the reservation was created.

    Data type: String

    result.reservation.sys_id Required.
    Sys_id of the reservation record.

    Data type: String

    Table: Workplace Reservation [sn_wsd_rsv_reservation]

    Result.reservation.sys_updated_on Date and time when the reservation was last updated.

    Data type: String

    result.reservation.virtual_meeting URL of the virtual meeting link.

    Data type: String

    result.reservationAcl Details of the user access control levels (ACL) checks set on the associated reservation.

    Data type: Object

    "reservationAcl": {
      "read": Boolean,
      "write": {Object}
    }
    result.reservationAcl.read Flag that indicates whether to check if the user can read this reservation.
    Valid values:
    • true: Check if user can read the reservation.
    • false: Don't check if user can read the reservation.

    Data type: Boolean

    result.reservationAcl.write Details about the user's write capabilities for the associated reservation.

    Data type: Object

    "write": {
      "allFields": Boolean,
      "fields": {Object},
      "record": Boolean
    }
    result.reservationAcl.write.allFields Flag that indicates whether to check if the user can write to all fields specified in the reservationACL.write.fields object. If the user only has access to some specific fields, then only those fields are true in the reservationACL.write.fields object.
    Valid values:
    • true: Check if user can write to all fields specified in the reservationACL.write.fields object.
    • false: Don't check if user can write to all fields specified in the reservationACL.write.fields object

    Data type: Boolean

    result.reservationAcl.write.fields Details of the access controls on various fields of the reservation.

    Data type: Object

    "fields": {
      "location": Boolean,
      "number_of_attendees": Boolean,
      "requested_for": Boolean,
      "sensitivity": Boolean,
      "subject": Boolean
    }
    result.reservationAcl.write.fields.location Flag that indicates whether to check if the user can write to the location fields in this reservation.
    Valid values:
    • true: Check if user can write to the location fields.
    • false: Don't check if user can write to the location fields.

    Data type: Boolean

    result.reservationAcl.write.fields.​number_of_attendees Flag that indicates whether to check if the user can write to the number of attendees fields in this reservation.
    Valid values:
    • true: Check if user can write to the number of attendees field.
    • false: Don't check if user can write to the number of attendees field.

    Data type: Boolean

    result.reservationAcl.write.fields.requested_for Flag that indicates whether to check if the user can write to the requested for fields in this reservation.
    Valid values:
    • true: Check if user can write to the requested for field.
    • false: Don't check if user can write to the requested for field.

    Data type: Boolean

    result.reservationAcl.write.fields.sensitivity Flag that indicates whether to check if the user can write to the sensitivity fields in this reservation.
    Valid values:
    • true: Check if user can write to the sensitivity field.
    • false: Don't check if user can write to the sensitivity field.

    Data type: Boolean

    result.reservationAcl.write.fields.subject Flag that indicates whether to check if the user can write to the subject fields in this reservation.
    Valid values:
    • true: Check if user can write to the subject field.
    • false: Don't check if user can write to the subject fields.

    Data type: Boolean

    result.reservationAcl.record Flag that indicates whether to check if the user can write to the entire reservation record.
    Valid values:
    • true: Check if user can write to the entire reservation record.
    • false: Don't check if user can write to the entire reservation record.

    Data type: Boolean

    result.standard_services Only populated if the include_standard_services parameter is set to true.
    Associated standard services, such as flip chart, projector screen, and whiteboard and markers.

    Data type: Array of Objects

    "standard_services": [
      {
        "font_awesome_icon": "String",
        "name": "String",
        "short_description": "String",
        "sys_id": "String"
      }
    ]
    result.standard_services.font_awesome_icon Name of the thumbnail icon associated with the standard service.

    Data type: String

    result.standard_services.name Name of the standard service.

    Data type: String

    result.standard_services.short_description Brief description of the standard service.

    Data type: String

    result.standard_services.sys_id Sys_id of the standard service record.

    Data type: String

    Table: Standard Service [sn_wsd_rsv_standard_service]

    cURL request

    The following code example shows how to call this endpoint and include the standard services information.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/reservation/get?sys_id=8e87c722870741106342b846dabb3573&include_standard_services=true" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Return results:

    
      "result": {
        "reservation": {
          "sys_id": "bf3621de842c2110fa9b813be354f327",
          "number": "WRES0001005",
          "location": {
            "sys_id": "9841e94adb7210106c731dcd13961914",
            "name": "A1-02-02",
            "description": "General desk available for reservation.",
            "display_value": "A1-02-02",
            "capacity": 1,
            "label_value": "Workspace/Desk name",
            "wsd_email": null,
            "reservable_module": {
              "sys_id": "5db44502dbb650106c731dcd13961937",
              "name": "Desks",
              "title": "Desks",
              "inline_title": "desk",
              "table": "sn_wsd_core_space"
            },
            "region": {
              "sys_id": "3752ac8edb3650106c731dcd139619e0",
              "display_value": "Americas",
              "active": true
            },
            "site": {
              "sys_id": "628eec06db7650106c731dcd139619dd",
              "display_value": "North America",
              "active": true
            },
            "campus": {
              "sys_id": "82b2a0cedb3650106c731dcd139619e9",
              "display_value": "California Campus",
              "active": true
            },
            "building": {
              "sys_id": "94e264cedb3650106c731dcd13961919",
              "display_value": "CAL-B1",
              "active": true,
              "timezone": {
                "value": "US/Pacific",
                "displayValue": "US/Pacific"
              }
            },
            "floor": {
              "sys_id": "fc7368cedb3650106c731dcd13961902",
              "display_value": "Floor 1",
              "active": true
            },
            "area": {
              "sys_id": "",
              "display_value": "",
              "active": false
            },
            "is_favorite": false,
            "reservation": {
              "sys_id": "bf3621de842c2110fa9b813be354f327",
              "number_of_attendees": 1,
              "state": {
                "value": "confirmed",
                "display_value": "Confirmed"
              },
              "auto_conflict_resolution_state": {
                "value": null,
                "display_value": null
              },
              "requested_for": {
                "sys_id": "6816f79cc0a8016401c5a33be04be441",
                "name": "System Administrator",
                "user_name": "admin"
              },
              "number": "WRES0001005",
              "active": true
            },
            "number_of_attendees": 1,
            "state": {
              "value": "confirmed",
              "display_value": "Confirmed"
            },
            "number": "WRES0001005",
            "requested_for": {
              "sys_id": "6816f79cc0a8016401c5a33be04be441",
              "name": "System Administrator",
              "user_name": "admin"
            },
            "is_private": true
          },
          "start": "2023-01-24T16:00:00Z",
          "end": "2023-01-24T17:00:00Z",
          "sys_created_on": "2023-01-24T15:49:49Z",
          "sys_updated_on": "2023-01-24T15:49:50Z",
          "source_reservation": null,
          "check_in_state": {
            "value": "awaiting_check_in",
            "display_value": "Awaiting check-in"
          },
          "external_id": null,
          "external_ical": null,
          "building": {
            "active": true,
            "sys_id": "94e264cedb3650106c731dcd13961919",
            "display_value": "CAL-B1",
            "campus": {
              "display_value": "California Campus",
              "value": "82b2a0cedb3650106c731dcd139619e9",
              "active": true
            },
            "site": {
              "display_value": "North America",
              "value": "628eec06db7650106c731dcd139619dd",
              "active": true
            },
            "timezone": {
              "value": "US/Pacific",
              "displayValue": "US/Pacific"
            }
          },
          "active": true,
          "state": {
            "value": "confirmed",
            "display_value": "Confirmed"
          },
          "sensitivity": {
            "value": "normal",
            "display_value": "Normal"
          },
          "reservation_type": {
            "value": "space",
            "display_value": "Space"
          },
          "reservation_subtype": {
            "value": "single",
            "display_value": "Single"
          },
          "reservation_purpose": {
            "value": "meeting",
            "display_value": "Meeting"
          },
          "attendees": [
            {
              "sys_id": "6816f79cc0a8016401c5a33be04be441",
              "value": "6816f79cc0a8016401c5a33be04be441",
              "displayValue": "System Administrator",
              "display_value": "System Administrator",
              "name": "System Administrator",
              "user_name": "admin",
              "table": "sys_user",
              "avatar": "a5d3c898c3222010ae17dd981840dd8b.iix?t=small",
              "initials": "SA",
              "email": "admin@example.com",
              "label": "System Administrator, Finance"
            }
          ],
          "number_of_attendees": 1,
          "is_parent": false,
          "is_private": true,
          "subject": "Reservation for A1-02-02",
          "virtual_meeting": null,
          "recording_details": [],
          "sync_state": {
            "value": "not_required",
            "display_value": "Synchronization not required"
          },
          "sub_source": {
            "value": "servicenow_workplace_service_delivery",
            "display_value": "ServiceNow Workplace Service Delivery"
          },
          "last_updated_sub_source": {
            "value": "servicenow_workplace_service_delivery",
            "display_value": "ServiceNow Workplace Service Delivery"
          },
          "reservable_module": {
            "sys_id": "5db44502dbb650106c731dcd13961937",
            "name": "Desks",
            "title": "Desks",
            "inline_title": "desk",
            "font_awesome_icon": "fa-desktop",
            "reservable_table": "sn_wsd_core_space",
            "reservable_filter": "active=true^is_reservable=true^location_type=5f017383eb512010b89bfdfc9c5228c8^building.is_reservable=true^floor.is_reservable=true^EQ",
            "short_description": "Reserve a single desks",
            "reservable_type": "location",
            "require_subject": null,
            "require_cancel_notes": false,
            "virtual_meeting_provider": null,
            "enable_reservation_privacy": true,
            "allow_invitees": "1",
            "display_number_of_attendees": null,
            "display_on_behalf_of": "1",
            "display_sensitivity": null,
            "max_days_in_future": "90",
            "allow_recurring": "1",
            "auto_resolve_conflict": null,
            "allow_whole_day": "1",
            "allow_multi_building": "1",
            "require_whole_day": null,
            "selection_type": "unit",
            "reservable_container_field": null,
            "reservable_quantity_field": null,
            "apply_to_shift": null,
            "max_occurrences": "90",
            "enable_facet_filter": false,
            "search_limit": 10000,
            "enable_ical_generation": null,
            "enable_group_reservations": null,
            "enable_browse_near_a_person": "1",
            "enable_browse_by_area": "1",
            "enable_floor_search": null,
            "enable_browse_by_neighborhood": null,
            "require_cc_dept_check": false,
            "display_value": "Desks",
            "browse_near_a_person_enabled": true,
            "browse_by_area_enabled": true,
            "browse_by_neighborhood_enabled": false,
            "reservable_columns": [
              "sys_id",
              "external_id",
              "wsd_email",
              "name",
              "title",
              "description",
              "image",
              "number",
              "site",
              "campus",
              "building",
              "floor",
              "area",
              "capacity",
              "reservable_quantity",
              "location_type",
              "order",
              "requires_check_in",
              "is_reservable"
            ],
            "layout_mapping": {
              "title": [
                "name"
              ],
              "description": [
                "description"
              ],
              "subtitle": [
                "campus",
                "building",
                "floor",
                "area"
              ],
              "subtitle_asc": [
                "area",
                "floor",
                "building",
                "campus"
              ],
              "image": "image",
              "body": [
                {
                  "label": "Capacity",
                  "icon": "fa-users",
                  "field": "capacity",
                  "field_to_display": ""
                },
                {
                  "label": "Standard services",
                  "icon": "fa-check",
                  "field": "standard_services",
                  "field_to_display": "name"
                },
                {
                  "label": "Reservable purposes",
                  "icon": "fa-tags",
                  "field": "reservable_purposes",
                  "field_to_display": "name"
                }
              ]
            },
            "timeSlots": [
              {
                "sys_id": "d5331cf2dbb5f01038e42b24ca961906",
                "name": "All day",
                "short_description": "8am - 6pm",
                "slot_start": "08:00",
                "slot_end": "18:00"
              },
              {
                "sys_id": "de131cf2dbb5f01038e42b24ca961931",
                "name": "Before noon",
                "short_description": "8am - 12pm",
                "slot_start": "08:00",
                "slot_end": "12:00"
              },
              {
                "sys_id": "6e99ab5ddbb930102e8e853e68961929",
                "name": "After noon",
                "short_description": "1pm - 6pm",
                "slot_start": "13:00",
                "slot_end": "18:00"
              }
            ],
            "buildingSysIds": [
              "03c45bf7dba41010d7981dcd1396196d",
              "07c45bf7dba41010d7981dcd1396196b",
              "07c45bf7dba41010d7981dcd13961972",
              "0bc45bf7dba41010d7981dcd13961970",
              "0fc45bf7dba41010d7981dcd1396196e",
              "1aa39b1977220110b3d7be377b5a9953",
              "2130659ae7321010809a268b03f6a91e",
              "22c41bf7dba41010d7981dcd139619fe",
              "2ac45bf7dba41010d7981dcd13961901",
              "2ec41bf7dba41010d7981dcd139619ff",
              "32c45bf7dba41010d7981dcd13961905",
              "32c45bf7dba41010d7981dcd1396190c",
              "32c45bf7dba41010d7981dcd13961943",
              
              "e2c41bf7dba41010d7981dcd139619fb"
            ],
            "reservable_views": [
              {
                "type": "card",
                "label": "Card view",
                "iconClass": "fa-th-large",
                "isDefault": true,
                "order": "1"
              },
              {
                "type": "schedule",
                "label": "Schedule view",
                "iconClass": "fa-calendar-o",
                "isDefault": false,
                "order": "2"
              }
            ],
            "checkin_before_minutes": 30,
            "reservation_paths": [
              {
                "value": "browse_all",
                "displayValue": "Browse all",
                "availableFor": true
              },
              {
                "value": "browse_favorites",
                "displayValue": "Browse favorites",
                "availableFor": false
              },
              {
                "value": "browse_near_a_person",
                "displayValue": "Browse near a person",
                "availableFor": true
              },
              {
                "value": "browse_by_area",
                "displayValue": "Browse by area",
                "availableFor": true
              }
            ],
            "override_approval_policy": "never_required"
          },
          "notification_recipients": null,
          "notification_custom_message": null,
          "opened_by": {
            "sys_id": "6816f79cc0a8016401c5a33be04be441",
            "value": "6816f79cc0a8016401c5a33be04be441",
            "displayValue": "System Administrator",
            "display_value": "System Administrator",
            "name": "System Administrator",
            "user_name": "admin",
            "table": "sys_user",
            "avatar": "a5d3c898c3222010ae17dd981840dd8b.iix?t=small",
            "initials": "SA",
            "email": "admin@example.com",
            "label": "System Administrator, Finance"
          },
          "requested_for": {
            "sys_id": "6816f79cc0a8016401c5a33be04be441",
            "value": "6816f79cc0a8016401c5a33be04be441",
            "displayValue": "System Administrator",
            "display_value": "System Administrator",
            "name": "System Administrator",
            "user_name": "admin",
            "table": "sys_user",
            "avatar": "a5d3c898c3222010ae17dd981840dd8b.iix?t=small",
            "initials": "SA",
            "email": "admin@example.com",
            "label": "System Administrator, Finance"
          },
          "auto_conflict_resolution_state": {
            "value": null,
            "display_value": null
          },
          "parent_reservation": {},
          "edit_restriction": {
            "value": "no_restriction",
            "display_value": "No restriction"
          },
          "source": {
            "value": "servicenow",
            "display_value": "Workplace Services"
          },
          "source_icon": {
            "classNames": "fa fa-calendar-check-o",
            "tooltip": "Reservation is confirmed",
            "imgSrc": ""
          },
          "shift": null,
          "hasPrivateReservation": true,
          "reservationAcl": {
            "write": {
              "record": true,
              "fields": {
                "subject": true,
                "sensitivity": true,
                "requested_for": true,
                "number_of_attendees": true,
                "location": true,
                "is_private": true
              },
              "allFields": true
            },
            "read": true
          }
        },
        "reservationAcl": {
          "write": {
            "record": true,
            "fields": {
              "subject": true,
              "sensitivity": true,
              "requested_for": true,
              "number_of_attendees": true,
              "location": true,
              "is_private": true
            },
            "allFields": true
          },
          "read": true
        }
      }
    }

    WSD Reservation - GET /api/sn_wsd_rsv/reservation/get_user_reservations

    Retrieves the list of reservation for a specified user for the next seven days.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/reservation/get_user_reservations

    Default URL: /api/sn_wsd_rsv/reservation/get_user_reservations

    주:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    표 7. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    표 8. Query parameters
    Name Description
    userId Sys_id of the user whose reservations to return.

    Data type: String

    Table: User [sys_user]

    표 9. Request body parameters
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    표 10. Request headers
    Header Description
    Accept Data format of the request body. Supported types: application/json, application/xml or, text/xml.

    Default: application/json

    표 11. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    표 12. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    404 Not found. The requested item wasn't found.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result Reservation return results.

    Data type: Object

    "result":{
      "informEmployeePrivacy": Boolean,
      "reservationsByDate": {Object},
      "searchEndDate": "String",
      "searchStartDate": "String",
      "sortedReservationDates" : [Array],
      "workplaceProfile": {Object}
    }
    result.informEmployeePrivacy Flag that indicates whether to display a message when reservations are returned that are marked as private.
    Possible values:
    • true: Display a message to the user that there are private reservations that are not displayed.
    • false: Don't display any message.

    Data type: Boolean

    result.reservationsByDate Details about each reservation by date.

    Data type: Object - each date in its own Array

    "reservationsByDate": {
      string: [
        {
          "building": {Object},
          "floor": {Object},
          "location": {Object}
        }
      ]
    }
    result.reservationsByDate.building Building where the reservable is located.

    Data type: Object

    "building": {
      "display_value": "String",
      "sys_id": "String",
      "timezone": {Object}
    }

    Table: Building [sn_wsd_core_building]

    result.reservationsByDate.building.​display_value Display value for the building.

    Data type: String

    result.reservationsByDate.building.sys_id Sys_id of the associated building record.

    Data type: String

    result.reservationsByDate.building.timezone Details of the time zone for the building.

    Data type: Object

    "timezone": {
      "displayValue": "String",
      "value": "String"
    }
    result.reservationsByDate.building.timezone.​display_value Display value of the time zone in which the associated building resides.

    Data type: String

    result.reservationsByDate.building.timezone.​sys_id Sys_id of the time zone record in which the associated building resides.

    Data type: String

    result.reservationsByDate.building.value Internal value for the building.

    Data type: String

    result.reservationsByDate.floor Details about the floor associated with the reservation.

    Data type: Object

    "floor": {
      "displayValue": "String",
      "value": "String"
    }
    result.reservationsByDate.floor.displayValue Display number of the floor on which the reservable resides, such as 12.

    Data type: String

    result.reservationsByDate.floor.value Internal value of the floor on which the reservation resides.

    Data type: String

    result.reservationsByDate.location Details on the location of the reservation.

    Data type: Object

    "location": {
      "displayValue": "String",
      "type": "String",
      "value": "String"
    }
    result.reservationsByDate.location.​displayValue Display value of the location, such as South Parks.

    Data type: String

    result.reservationsByDate.location.type Type of location, such as workplace/desk, cafe, or gym.

    Data type: String

    result.reservationsByDate.location.value Internal value for the location, such as south_parks.

    Data type: String

    result.searchEndDate End date of the reservation search. Seven days from the start date.

    Format: yyyy-mm-dd

    Data type: String

    result.searchStartDate Start date of the reservation search. Date on which the endpoint was called.

    Format: yyyy-mm-dd

    Data type: String

    result.sortedReservationDates Dates on which the specified user has reservations for the next seven days, sorted in date order.

    Data type: Array

    result.workplaceProfile Users workplace profile. Describes where the specified user works.

    Data type: Object

    "reservationsByDate": {
      "building": {Object},
      "floor": {Object},
      "location": {Object}
    }
    result.workplaceProfile.building Building where the user works.

    Data type: Object

    "building": {
      "display_value": "String",
      "sys_id": "String",
      "timezone": {Object}
    }

    Table: Building [sn_wsd_core_building]

    result.workplaceProfile.building.display_value Display value for the building.

    Data type: String

    result.workplaceProfile.building.sys_id Sys_id of the associated building record.

    Data type: String

    result.workplaceProfile.building.timezone Details of the time zone for the building.

    Data type: Object

    "timezone": {
      "displayValue": "String",
      "value": "String"
    }
    result.workplaceProfile.building.timezone.​display_value Display value of the time zone in which the associated building resides.

    Data type: String

    result.workplaceProfile.building.timezone.​sys_id Sys_id of the time zone record in which the associated building resides.

    Data type: String

    result.workplaceProfile.building.value Internal value for the building.

    Data type: String

    result.workplaceProfile.floor Details about the floor on which the user works.

    Data type: Object

    "floor": {
      "displayValue": "String",
      "value": "String"
    }
    result.workplaceProfile.floor.displayValue Display number of the floor on which the user works, such as Floor 8.

    Data type: String

    result.workplaceProfile.floor.value Internal value of the floor on which the user works.

    Data type: String

    result.workplaceProfile.location Details on the location of the user.

    Data type: Object

    "location": {
      "displayValue": "String",
      "type": "String",
      "value": "String"
    }
    result.workplaceProfile.location.displayValue Display value of the location, such as San Diego.

    Data type: String

    result.workplaceProfile.location.type Type of location, such as desk or office.

    Data type: String

    result.workplaceProfile.location.value Internal value for the location, such as san_diego.

    Data type: String

    cURL request

    The following code example shows how to call this endpoint.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/reservation/get_user_reservations?userId=2de07e1887cb89106342b846dabb35fe" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Return results:

    {
      "result": {
        "sortedReservationDates": [
          "2023-01-24"
        ],
        "workplaceProfile": {
          "location": {
            "displayValue": "DDC-A2.0016A",
            "value": "96d3139977220110b3d7be377b5a9918",
            "externalId": "0e7bddfb475a011064062782846d43c2",
            "type": "Workspace/Desk"
          },
          "floor": {
            "displayValue": "Floor 2",
            "value": "68d31f5977220110b3d7be377b5a991b"
          },
          "building": {
            "displayValue": "Building A",
            "value": "dea39b1977220110b3d7be377b5a9955",
            "timezone": {
              "value": "Europe/Paris",
              "displayValue": "Europe/Paris"
            }
          }
        },
        "reservationsByDate": {
          "2023-01-24": [
            {
              "location": {
                "displayValue": "A1-02-04",
                "value": "3e41e94adb7210106c731dcd1396198c",
                "externalId": "",
                "type": "Workspace/Desk"
              },
              "floor": {
                "displayValue": "Floor 1",
                "value": "fc7368cedb3650106c731dcd13961902"
              },
              "building": {
                "displayValue": "CAL-B1",
                "value": "94e264cedb3650106c731dcd13961919",
                "timezone": {
                  "value": "US/Pacific",
                  "displayValue": "US/Pacific"
                }
              }
            },
            {
              "location": {
                "displayValue": "A1-02-02",
                "value": "9841e94adb7210106c731dcd13961914",
                "externalId": "",
                "type": "Workspace/Desk"
              },
              "floor": {
                "displayValue": "Floor 1",
                "value": "fc7368cedb3650106c731dcd13961902"
              },
              "building": {
                "displayValue": "CAL-B1",
                "value": "94e264cedb3650106c731dcd13961919",
                "timezone": {
                  "value": "US/Pacific",
                  "displayValue": "US/Pacific"
                }
              }
            },
            {
              "location": {
                "displayValue": "A1-02-03",
                "value": "fd41a94adb7210106c731dcd1396195a",
                "externalId": "",
                "type": "Workspace/Desk"
              },
              "floor": {
                "displayValue": "Floor 1",
                "value": "fc7368cedb3650106c731dcd13961902"
              },
              "building": {
                "displayValue": "CAL-B1",
                "value": "94e264cedb3650106c731dcd13961919",
                "timezone": {
                  "value": "US/Pacific",
                  "displayValue": "US/Pacific"
                }
              }
            }
          ]
        },
        "searchStartDate": "2023-01-24",
        "searchEndDate": "2023-01-31",
        "informEmployeePrivacy": true
      }
    }

    WSD Reservation - GET /api/sn_wsd_rsv/reservation/icalendar/{sys_id}

    Generates an iCalendar file body for a specified reservation.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/reservation/icalendar/{sys_id}

    Default URL: /api/sn_wsd_rsv/reservation/icalendar/{sys_id}

    주:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    표 13. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    sys_id Sys_id of the reservation for which to generate an iCalendar file body.

    Data type: String

    Table: Workplace Reservation [sn_wsd_rsv_reservation]

    표 14. Query parameters
    Name Description
    None
    표 15. Request body parameters (XML or JSON)
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    표 16. Request headers
    Header Description
    Accept Data format of the request body. Supported types: application/json, application/xml or, text/xml.

    Default: application/json

    표 17. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    표 18. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    404 Not found. The requested item wasn't found.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result iCalendar file body for the specified reservation.

    Data type: String

    cURL request

    The following code example shows how to call this endpoint to create an iCalender body.

    curl "https://instance.servicenow.com/api/sn_wsd_rsv/reservation/icalendar/60d26a0f47578910003a4587746d4331" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"

    Return results:

    {
      "result": "BEGIN:VCALENDAR\nPRODID:-//Service-now.com//Outlook 11.0 MIMEDIR//EN\nVERSION:2.0\nMETHOD:REQUEST\nBEGIN:VEVENT\nATTENDEE;ROLE=REQ-PARTICIPANT;RSVP=TRUE:MAILTO:workplace_user@example.com\nDTSTART:20220521T050000Z\nDTEND:20220521T060000Z\nUID:60d26a0f47578910003a4587746d4331\nDTSTAMP:20220511T044018Z\nSUMMARY:For user 1\nDESCRIPTION:Dear System Administrator,\\n\\nThank you for your reservation.\\n\\nYou can find more details on your reservation, or manage your reservation using the following link: https://damay2.service-now.com/ws?id=wsd_reservation_summary&reservation_id=60d26a0f47578910003a4587746d4331\\n\\nKind regards,\\nWorkplace Services Team\nLOCATION:Berlin\nCLASS:PUBLIC\nORGANIZER;CN=Workplace User:MAILTO:workplace_user@example.com\nATTENDEE;ROLE=REQ-PARTICIPANT;CN=Workplace User:RSVP=TRUE:MAILTO:workplace_user@example.com\nEND:VEVENT\nEND:VCALENDAR"
    }

    WSD Reservation - GET /api/sn_wsd_rsv/reservation/list

    Retrieves the list of reservations belonging to a specified user.

    This endpoint only returns reservations that were requested for or opened by the specified user.

    URL format

    Versioned URL: /api/sn_wsd_rsv/{api_version}/reservation/list

    Default URL: /api/sn_wsd_rsv/reservation/list

    주:
    Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

    Supported request parameters

    표 19. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    표 20. Query parameters
    Name Description
    encodedQuery Encoded query to use to filter the returned reservation record results. All fields within the Workplace Reservation [sn_wsd_rsv_reservation] table are valid within the query.

    For example, active=true^requested_for=2de07e1887cb89106342b846dabb35fe​^building=4703a4cedb3650106c731dcd13961945

    Data type: String

    endIndex Last reservation record in the results set to return when specifying indexes for pagination. If this value is greater than the available number of return results records, all remaining records are returned.

    Data Type: Number

    orderByEndDesc

    Flag that indicates whether to return the return results in start time descending order.

    Valid values:
    • true: Return the results in descending order.
    • false: Return the results in ascending order.

    Default: false

    searchCriteria Text that has to match within the reservation for it to be included in the return results. The endpoint checks for this value in the following fields:
    • configuration_item.name
    • location.name
    • private_subject
    • requested_for.name
    • subject

    Data Type: String

    startIndex Starting record for which to return records, zero-based. Use this parameter to paginate through large record sets.

    Data Type: String

    Default: 0

    userId Sys_id of a user to filter out of the returned reservation information.

    When this value is passed, the endpoint filters out those reservations where the requested_for or opened_by field is equal to the currently logged-in user. From that reservation list, it then filters out those reservation where the requested_for or opened_by is equal to the passed userId.

    Data type: String

    Default: Returns all reservations where the requested_for or opened_by fields is equal to currently logged-in user.

    Table: User [sys_user]

    표 21. Request body parameters
    Header Description
    Accept Data format of the request body. Supported types: application/json, application/xml or, text/xml.

    Default: application/json

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    표 22. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    표 23. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    표 24. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    401 Unauthorized. The user credentials are incorrect or have not been passed.
    404 Not found. The requested item wasn't found.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters

    Name Description
    result.reservation Details about the reservation.

    Data type: Object

    "reservation": {
      "active": Boolean,
      "attendees": [Array],
      "check_in_state": {Object},
      "end": "String",
      "external_ical": "String",
      "external_id": "String",
      "is_parent": Boolean,
      "is_private": Boolean,
      "informEmployeePrivacy": Boolean.
      "last_updated_sub_source": {Object},
      "location" {Object},
      "number": "String",
      "number_of_attendees": Number,
      "recording_details": [Array],
      "reservable_module": {Object},
      "reservation_purpose": {Object},
      "reservation_type": {Object},
      "reservation_subtype": {Object},
      "sensitivity": {Object},
      "start": "String",
      "state": {Object},
      "source_reservation": "String",
      "subject": "String",
      "sub_source": {Object},
      "sync_state": {Object},
      "sys_created_on: "String",
      "sys_id": "String",
      "sys_updated_on": "String",
      "virtual_meeting": "String"
    }
    result.reservation.active Flag that indicates whether the reservation is active.
    Valid values:
    • true: Reservation is active.
    • false: Reservation is inactive.

    Data type: Boolean

    result.reservation.attendees List of attendees for the reservation.

    Data type: Array of Objects

    "attendees": [
      {
        "avatar": "String",
        "displayValue": "String",
        "display_value": "String",
        "email": "String",
        "initials": "String",
        "label": "String",
        "name": "String",
        "sys_id": "String",
        "table": "String",
        "user_name": "String",
        "value": "String"
      }
    ]
    result.reservation.attendees.avatar Sys_id of the avatar associated with the attendee.

    Data type: String

    Table: Attachments [sys_attachment]

    result.reservation.attendees.displayValue Display value for the attendee.

    Data type: String

    result.reservation.attendees.display_value Display value of the attendee. Same as displayValue.

    Data type: String

    result.reservation.attendees.email Attendee's email address.

    Data type: String

    result.reservation.attendees.initials Attendee's initials.

    Data type: String

    result.reservation.attendees.name Attendee's name.

    Data type: String

    result.reservation.attendees.sys_id Sys_id of the attendee record.

    Data type: String

    result.reservation.attendees.table Table in which the attendee record exists.

    Data type: String

    result.reservation.attendees.user_name Attendee's user name.

    Data type: String

    result.reservation.attendees.value Internal value of the attendee.

    Data type: String

    result.reservation.check_in_state Details about the check-in state of the reservation.

    Data type: Object

    "check_in_state": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.check_in_state.​display_value Display value for the current check-in state of the reservation, such as In progress or complete.

    Data type: String

    result.reservation.check_in_state.value Internal value for the current check-in state of the reservation, such as 2.

    Data type: String

    result.reservation.edit_restriction Description of the user edit restrictions for the reservation, such as no_restrictions, service_only, or fully_restricted.

    Data type: Object

    "edit_restriction": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.edit_restriction.display_​value Display value for the edit restrictions for the reservation, such as No restriction.

    Data type: String

    result.reservation.edit_restriction.value Internal value for the edit restrictions for the reservation, such as no_restriction.

    Data type: String

    result.reservation.end Reservation end date and time.

    Data type: String

    Format: UTC: yyyy-mm-ddThh:mm:ssZ, such as 2021-02-05T18:00:00Z

    result.reservation.external_ical Unique external iCalendar identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation.

    Data type: String

    result.reservation.external_id Unique external identification of the reservation. Use this value to identify the reservation when this is a calendar sync related reservation.

    Data type: String

    result.reservation.is_parent Flag that indicates whether this reservation is a parent reservation.
    Possible values:
    • true: Parent reservation.
    • false: Not a parent reservation.

    Data type: Boolean

    result.reservation.is_private Flag that indicates whether the reservation is private. If private, the reservation doesn't appear to anyone except the owner.

    For additional information on these privacy settings, see Location privacy settings and impact.

    Valid values:
    • true: Reservation is private.
    • false: Reservation isn't private.

    Data type: Boolean

    Default: Value set for privacy in the system properties.

    result.reservation.last_updated_sub_source Details about the last updated sub-source for the reservation. Sub-sources are used when integrating reservations with an external calendar. This object contains information such as "servicenow_workplace_service_delivery", "google_calendar", or "microsoft_exchange".

    Data type: Object

    "last_updated_sub_source": {
      "display_value": "String",
      "value": "String"
    }
    result.reservation.last_updated_sub_source.​display_value Display value for the last updated sub-source of the reservation, such as ServiceNow Workplace Service Delivery or Google Calendar. Used when integrating the reservation with an outside service such as Google calendar or Microsoft Outlook.

    Data type: String

    result.reservation.last_updated_sub_source.​value Internal value for the last updated sub-source of the reservation, such as servicenow_workplace_service_delivery or google_calendar. Used when integrating the reservation with an outside service such as Google calendar or Microsoft Outlook.

    Data type: String

    result.reservation.location Details about the location associated with the reservation.

    Data type: Object

    "location": {
      "active": Boolean,
      "area": {Object},
      "building": {Object},
      "campus": {Object},
      "capacity": Number,
      "description": "String",
      "display_value": "String",
      "email": "String",
      "floor": {Object},
      "label_value": "String",
      "name": "String",
      "number_of_attendees": Number,
      "region": {Object},
      "reservable_module": {Object},
      "reservation": {Object},
      "site": {Object},
      "state": {Object},
      "sys_id": "String"
    }
    result.reservation.location.area Details about the area associated with the location.

    Data type: Object

    "area": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.area.active Flag that indicates whether the area is active.
    Valid values:
    • true: Area is active.
    • false: Area is inactive.

    Data type: Boolean

    result.reservation.location.area.display_value Display value of the area to which this location belongs, such as Desk A2.

    Data type: String

    result.reservation.location.area.sys_id Sys_id of the area to which this location belongs.

    Data type: String

    Table: Area [sn_wsd_core_area]

    result.reservation.location.building Details about the building associated with the location.

    Data type: Object

    "building": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String",
      "timezone": {Object}
    }
    result.reservation.location.building.active Flag that indicates whether the building is active.
    Valid values:
    • true: Building is active.
    • false: Building is inactive.

    Data type: Boolean

    result.reservation.location.building.​display_value Display value of the building to which this location belongs, such as AMS - Bld1.

    Data type: String

    result.reservation.location.building.sys_id Sys_id of the building to which this location belongs.

    Data type: String

    Table: Building [sn_wsd_core_building]

    result.reservation.location.building.timezone Details about the time zone associated with the location.

    Data type: Object

    "timezone": {
      "displayValue": "String",
      "value": "String"
    }
    result.reservation.location.building.timezone.​display_value Display value for the time zone to which this location belongs.

    Data type: String

    result.reservation.location.building.timezone.​value Internal value for the time zone to which this location belongs.

    Data type: String

    result.reservation.location.campus Details about the campus associated with the location.

    Data type: Object

    "campus": {
      "active": Boolean,
      "display_value": "String",
      "sys_id": "String"
    }
    result.reservation.location.campus.active Flag that indicates whether the campus is active.
    Valid values:
    • true: Campus is active.
    • false: Campus is inactive.

    Data type: Boolean

    result.reservation.location.campus.​display_value Display value of the campus to which this location belongs, such as Amsterdam Campus.

    Data type: String

[...]
